from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class DockingArea(IntEnum):
    DOCKINGAREA_TOP = auto()
    DOCKINGAREA_BOTTOM = auto()
    DOCKINGAREA_LEFT = auto()
    DOCKINGAREA_RIGHT = auto()
    DOCKINGAREA_DEFAULT = auto()
